Pular para o conteúdo principal
GET
/
v1
/
config
/
fee-schedules
/
{scheduleId}
Get a fee schedule
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/config/fee-schedules/{scheduleId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "019c96a0-2b20-7123-9a1b-2c3d4e5f6a7b",
  "tenantId": "019c96a0-0a98-7287-9a31-786e0809c769",
  "name": "Card Processing - Visa",
  "currency": "USD",
  "applicationOrder": "PARALLEL",
  "roundingScale": 2,
  "roundingMode": "HALF_UP",
  "items": [
    {
      "id": "019c96a0-2b20-7123-9a1b-2c3d4e5f6a7b",
      "name": "interchange",
      "priority": 1,
      "structureType": "PERCENTAGE",
      "structure": {},
      "createdAt": "2025-01-15T10:30:00Z",
      "updatedAt": "2025-01-15T10:30:00Z"
    }
  ],
  "createdAt": "2025-01-15T10:30:00Z",
  "updatedAt": "2025-01-15T10:30:00Z"
}

Autorizações

Authorization
string
header
obrigatório

Bearer token authentication (format: "Bearer {token}")

Cabeçalhos

X-Request-Id
string

A unique identifier for tracing the request across services.

Parâmetros de caminho

scheduleId
string
obrigatório

The unique identifier of the fee schedule.

Resposta

Successfully retrieved fee schedule

Fee schedule with its fee items

id
string<uuid>

Unique identifier for the fee schedule

Exemplo:

"019c96a0-2b20-7123-9a1b-2c3d4e5f6a7b"

tenantId
string<uuid>

Tenant that owns this fee schedule

Exemplo:

"019c96a0-0a98-7287-9a31-786e0809c769"

name
string

Display name for the fee schedule

Maximum string length: 100
Exemplo:

"Card Processing - Visa"

currency
string

Currency code (ISO 4217)

Exemplo:

"USD"

applicationOrder
enum<string>

How multiple fee items compose

Opções disponíveis:
PARALLEL,
CASCADING
Exemplo:

"PARALLEL"

roundingScale
integer

Number of decimal places for rounding

Exemplo:

2

roundingMode
enum<string>

Rounding method for intermediate calculations

Opções disponíveis:
HALF_UP,
BANKERS,
FLOOR,
CEIL,
TRUNCATE
Exemplo:

"HALF_UP"

items
object[]

Fee items in this schedule

Maximum array length: 100
createdAt
string<date-time>

Creation timestamp in RFC 3339 format

Exemplo:

"2025-01-15T10:30:00Z"

updatedAt
string<date-time>

Last update timestamp in RFC 3339 format

Exemplo:

"2025-01-15T10:30:00Z"